# Class StAXResult

java.lang.Object
javax.xml.transform.stax.StAXResult

All Implemented Interfaces:
  `Result`

public class StAXResult extends Object implements Result

Acts as a holder for an XML `Result` in the form of a StAX writer,i.e. `XMLStreamWriter` or `XMLEventWriter`. `StAXResult` can be used in all cases that accept a `Result`, e.g. `Transformer`, `Validator` which accept `Result` as input.

Since:
  1.6
See Also:
  - JSR 173: Streaming API for XML
  - `XMLStreamWriter`
  - `XMLEventWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FEATURE`
If `TransformerFactory.getFeature(String name)` returns true when passed this value as an argument, the Transformer supports Result output of this type.

### Fields declared in interface Result

`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`
Modifier and Type
Field
Description
`static final String`
`PI_DISABLE_OUTPUT_ESCAPING`
The name of the processing instruction that is sent if the result tree disables output escaping.
`static final String`
`PI_ENABLE_OUTPUT_ESCAPING`
The name of the processing instruction that is sent if the result tree enables output escaping at some point after having received a PI_DISABLE_OUTPUT_ESCAPING processing instruction.

## Constructor Summary

Constructors
Constructor
Description
`StAXResult(XMLEventWriter xmlEventWriter)`
Creates a new instance of a `StAXResult` by supplying an `XMLEventWriter`.
`StAXResult(XMLStreamWriter xmlStreamWriter)`
Creates a new instance of a `StAXResult` by supplying an `XMLStreamWriter`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSystemId()`
The returned system identifier is always `null`.
`XMLEventWriter`
`getXMLEventWriter()`
Get the `XMLEventWriter` used by this `StAXResult`.
`XMLStreamWriter`
`getXMLStreamWriter()`
Get the `XMLStreamWriter` used by this `StAXResult`.
`void`
`setSystemId(String systemId)`
In the context of a `StAXResult`, it is not appropriate to explicitly set the system identifier.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### FEATURE

public static final String FEATURE
If `TransformerFactory.getFeature(String name)` returns true when passed this value as an argument, the Transformer supports Result output of this type.

See Also:
  - Constant Field Values

## Constructor Details

### StAXResult

public StAXResult(XMLEventWriter xmlEventWriter)

Creates a new instance of a `StAXResult` by supplying an `XMLEventWriter`.

`XMLEventWriter` must be a non-`null` reference.

Parameters:
  `xmlEventWriter` - `XMLEventWriter` used to create this `StAXResult`.
Throws:
  `IllegalArgumentException` - If `xmlEventWriter` == `null`.

### StAXResult

public StAXResult(XMLStreamWriter xmlStreamWriter)

Creates a new instance of a `StAXResult` by supplying an `XMLStreamWriter`.

`XMLStreamWriter` must be a non-`null` reference.

Parameters:
  `xmlStreamWriter` - `XMLStreamWriter` used to create this `StAXResult`.
Throws:
  `IllegalArgumentException` - If `xmlStreamWriter` == `null`.

## Method Details

### getXMLEventWriter

public XMLEventWriter getXMLEventWriter()

Get the `XMLEventWriter` used by this `StAXResult`.

`XMLEventWriter` will be `null` if this `StAXResult` was created with a `XMLStreamWriter`.

Returns:
  `XMLEventWriter` used by this `StAXResult`.

### getXMLStreamWriter

public XMLStreamWriter getXMLStreamWriter()

Get the `XMLStreamWriter` used by this `StAXResult`.

`XMLStreamWriter` will be `null` if this `StAXResult` was created with a `XMLEventWriter`.

Returns:
  `XMLStreamWriter` used by this `StAXResult`.

### setSystemId

public void setSystemId(String systemId)

In the context of a `StAXResult`, it is not appropriate to explicitly set the system identifier. The `XMLEventWriter` or `XMLStreamWriter` used to construct this `StAXResult` determines the system identifier of the XML result.

An `UnsupportedOperationException` is always thrown by this method.

Specified by:
  `setSystemId` in interface `Result`
Parameters:
  `systemId` - Ignored.
Throws:
  `UnsupportedOperationException` - Is always thrown by this method.

### getSystemId

public String getSystemId()

The returned system identifier is always `null`.

Specified by:
  `getSystemId` in interface `Result`
Returns:
  The returned system identifier is always `null`.